<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2011 - Edyta PRZYMUS
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="cdt2_get_connectivity"><info><pubdate>November 2005</pubdate></info><refnamediv><refname>cdt2_get_connectivity</refname><refpurpose>Get the connectivity of cdt2, constrained Delaunay triangulation.</refpurpose></refnamediv>
    
   
    
   
    
   
    
   
    
   
    
   <refsynopsisdiv><title>Calling Sequence</title><synopsis>tri = cdt2_get_connectivity(ptr);</synopsis></refsynopsisdiv>
    
   <refsection><title>Parameters</title>
        
      <variablelist>
            
         <varlistentry>
                
            <term>tri</term>
                
            <listitem>
        : is (nbtriangles,3) array, Each row of tri defines one triangle.
      </listitem>
            
         </varlistentry>
            
         <varlistentry>
                
            <term>ptr</term>
                
            <listitem>
                : is a pointer representing cdt3.
            </listitem>
            
         </varlistentry>
        
      </variablelist>
    
   </refsection>
    
   <refsection><title>Examples</title><programlisting role="example"><![CDATA[
x = [5 1 6];
y = [2 6 6];
C=[8.    2.     7.    4.;6.    4.5    4.    5.;3.    6.     3.    7.;3.    4.     2.    3.;9.    4.     8.    7.];
[tri,ptr] = constrained_delaunay_2([],[],C);
cdt2_insert_points(ptr,x,y);
tri = cdt2_get_connectivity(ptr);
coord = cdt2_get_coord(ptr);
clf();
X=coord(:,1)';
Y=coord(:,2)';
[nbtri,nb] = size(tri);
tri = [tri tri(:,1)];
for k = 1:nbtri
plot2d(X(tri(k,:)),Y(tri(k,:)),style = 2);
end
cdt2_delete(ptr,"ptr");
 ]]></programlisting></refsection>
    
   <refsection><title>See Also</title><simplelist type="inline">
        
      <member>
            
         <link linkend="cdt2_insert_constraints">cdt2_insert_constraints</link>
        
      </member>
        
      <member>
            
         <link linkend="cdt2_insert_points">cdt2_insert_points</link>
        
      </member>
        
      <member>
            
         <link linkend="cdt2_remove_constraints">cdt2_remove_constraints</link>
        
      </member>
        
      <member>
            
         <link linkend="cdt2_remove_points">cdt2_remove_points</link>
        
      </member>
        
      <member>
            
         <link linkend="cdt2_insert_points">cdt2_insert_points</link>
        
      </member>
        
      <member>
            
         <link linkend="cdt2_get_coord">cdt2_get_coord</link>
        
      </member>
        
      <member>
            
         <link linkend="cdt2_delete">cdt2_delete</link>
        
      </member>
    
   </simplelist></refsection>
 
   <para>
This function uses the Triangulation_2 package of CGAL, which is under QPL license. See <ulink url="http://www.cgal.org/index2.html">License Terms</ulink>

   </para> 
    
   <refsection><title>Authors</title><simplelist type="vert">
        
      <member>Naceur MESKINI.</member>
    
   </simplelist></refsection>

</refentry>
